Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.index
Class FTFuzzyBuilder

    java.lang.Object
      org.basex.core.Progress
          org.basex.index.IndexBuilder
              org.basex.index.FTFuzzyBuilder

    public final class FTFuzzyBuilder

extends IndexBuilder

This class builds an index for text contents, optimized for fuzzy search, in an ordered table. The building process is divided in 2 steps: a) fill DataOutput(db, f + 'x') looks like: [l, p] ... where l is the length of a token an p the pointer of the first token with length l; there's an entry for each token length [byte, int] fill DataOutput(db, f + 'y') looks like: [t0, t1, ... tl, z, s] ... where t0, t1, ... tl are the byte values of the token (byte[l]); z is the pointer on the data entries of the token (int) and s is the number of pre values, saved in data (int) b) fill DataOutput(db, f + 'z') looks like: [pre0, ..., pres, pos0, pos1, ..., poss] where pre and pos are the ft data [int[]]

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Sebastian Gath, Christian Gruen

Constructor Summary
`FTFuzzyBuilder(Data d, Prop pr)` Constructor.

Method Summary
`org.basex.index.FTIndex` | `build()` Builds the index structure and returns an index instance.
`java.lang.String` | `det()` Returns short information on this process.

Methods inherited from class org.basex.index.IndexBuilder
`checkStop, prog, tit`

Methods inherited from class org.basex.core.Progress
`detail, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTFuzzyBuilder

    public FTFuzzyBuilder(Data d,
                          Prop pr)

  Constructor.

  Parameters:
    `d` - data reference
    `pr` - database properties

Method Detail

### build

    public org.basex.index.FTIndex build()
                                  throws java.io.IOException

  Description copied from class: `IndexBuilder`
  Builds the index structure and returns an index instance.

  Specified by:
    `build` in class `IndexBuilder`
  Returns:
    index instance
  Throws:
    `java.io.IOException` - IO Exception

### det

    public final java.lang.String det()

  Description copied from class: `Progress`
  Returns short information on this process.

  Overrides:
    `det` in class `Progress`
  Returns:
    header information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD